%global pypi_name responses

Name:           python-%{pypi_name}
Version:        0.21.0
Release:        %mkrel 1
Summary:        A utility library for mocking out the `requests` Python library
License:        ASL 2.0
URL:            https://pypi.org/project/responses/
Source0:        %{pypi_source}

BuildArch:      noarch
Group:         Development/Python

BuildRequires: pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-coverage
BuildRequires:  python%{python3_pkgversion}-pytest-cov
BuildRequires:  python%{python3_pkgversion}-mock

%description
A utility library for mocking out the requests Python library.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
%if %{undefined __pythondist_requires}
Requires:       python3-requests
Requires:       python3-six
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
A utility library for mocking out the requests Python library.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files responses

# skipping tests due to missing dependencies: python-pytest-localserver
#%%check
#%%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.21.0-1.mga9
+ Revision: 1885226
- New version  0.21.0

* Wed Mar 30 2022 umeabot <umeabot> 0.18.0-2.mga9
+ Revision: 1833848
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.18.0-1.mga9
+ Revision: 1782716
- version 0.18.0
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.13.1-1.mga9
+ Revision: 1705557
- new version 0.13.1

* Fri Dec 18 2020 joequant <joequant> 0.12.1-1.mga8
+ Revision: 1660826
- update to 0.12.1

* Thu Jun 04 2020 joequant <joequant> 0.10.14-1.mga8
+ Revision: 1590201
- imported package python-responses

